org.modeshape.sequencer.ddl

## Class DdlParsers.ParsingResult

- java.lang.Object
- - org.modeshape.sequencer.ddl.DdlParsers.ParsingResult

- All Implemented Interfaces:
    Comparable<DdlParsers.ParsingResult>
  Enclosing class:
    DdlParsers

      @Immutable
      public class DdlParsers.ParsingResult
      extends Object
      implements Comparable<DdlParsers.ParsingResult>

  Represents a parsing result of one parser parsing one DDL input.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_SCORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DdlParsers.ParsingResult(String parserId, AstNode rootTreeNode, int parserScore, Exception parsingError)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DdlParsers.ParsingResult that)`
    `Exception` | `getError()`
    `String` | `getParserId()`
    `AstNode` | `getRootTree()`
    `int` | `getScore()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_SCORE

          public static final int NO_SCORE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DdlParsers.ParsingResult

          public DdlParsers.ParsingResult(String parserId,
                                  AstNode rootTreeNode,
                                  int parserScore,
                                  Exception parsingError)

      Parameters:
        `parserId` - the parser identifier (cannot be `null` or empty)
        `rootTreeNode` - the node at the root of the parse tree (can be `null` if an error occurred)
        `parserScore` - the parsing score (can have `no score` if an error occurred
        `parsingError` - an error that occurred during parsing (can be `null`)

  - ### Method Detail

    - #### compareTo

          public int compareTo(DdlParsers.ParsingResult that)

      Specified by:
        `compareTo` in interface `Comparable<DdlParsers.ParsingResult>`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### getError

          public Exception getError()

      Returns:
        the parsing error (`null` if no error occurred)

    - #### getParserId

          public String getParserId()

      Returns:
        the parser identifier (never `null` or empty)

    - #### getRootTree

          public AstNode getRootTree()

      Returns:
        the root `AstNode` (can be `null` if a parsing error occurred)

    - #### getScore

          public int getScore()

      Returns:
        the parsing score

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.